class_name bip_ extends Control

var selected: bool

## Присваивает заданное значение видимости селектору.
func set_track_visible(value: bool): $track.visible = value


## Задаёт цвет точки
func set_bip_color(val: Color): $bip.set_instance_shader_parameter('color', val)


## Присваивает заданное значение видимости индикатору выполнения.
func set_ecm_visible(value: bool): $ecm_done.visible = value


func update(tick_rx: int):
    $bip.set_instance_shader_parameter('tick_update', tick_rx)


## Присваивает заданое значение видимости селектору.
func set_sel_visible(value: bool):
    selected = value
    $selector.visible = value


func _on_bip_gui_input(event):
    if event is InputEventMouseButton and event.pressed:
        match event.button_index:
            MOUSE_BUTTON_LEFT:
                signaller.emit_signal('bip_pressed', name.to_int())
            MOUSE_BUTTON_RIGHT:
                if selected:
                    signaller.emit_signal('rto_threat_unsel', name.to_int())
